<Project Sdk="Microsoft.NET.Sdk">

  <Import Project="..\..\common.props" />

  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>ExampAbp</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <ProjectReference Include="..\ExampAbp.Domain\ExampAbp.Domain.csproj" />
    <PackageReference Include="Volo.Abp.EntityFrameworkCore.SqlServer" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.PermissionManagement.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.SettingManagement.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.Identity.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.BackgroundJobs.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.AuditLogging.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.TenantManagement.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.FeatureManagement.EntityFrameworkCore" Version="7.1.1" />
    <PackageReference Include="Volo.Abp.OpenIddict.EntityFrameworkCore" Version="7.1.1" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="7.0.1">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers</IncludeAssets>
    </PackageReference>
  </ItemGroup>

</Project>
